<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.hzhub.crm.mapper.CrmDealerMapper">

    <resultMap type="org.hzhub.crm.domain.CrmDealer" id="CrmDealerResult">
        <id     property="dealerId"           column="dealer_id"             />
        <result property="tenantId"           column="tenant_id"             />
        <result property="customerCode"       column="customer_code"         />
        <result property="dealerName"         column="dealer_name"           />
        <result property="dealerCode"         column="dealer_code"           />
        <result property="contactName"        column="contact_name"          />
        <result property="mobile"             column="mobile"                 />
        <result property="province"           column="province"               />
        <result property="city"               column="city"                   />
        <result property="level"              column="level"                  />
        <result property="lifecycle"           column="lifecycle"              />
        <result property="signedAt"           column="signed_at"              />
        <result property="storeCount"         column="store_count"            />
        <result property="teamSize"           column="team_size"              />
        <result property="totalOrderAmount"   column="total_order_amount"     />
        <result property="totalPaymentAmount" column="total_payment_amount"   />
        <result property="activityScore"      column="activity_score"         />
        <result property="riskScore"          column="risk_score"             />
        <result property="ownerUserId"        column="owner_user_id"         />
        <result property="sourceLeadId"       column="source_lead_id"        />
        <result property="createDept"         column="create_dept"           />
        <result property="createBy"           column="create_by"             />
        <result property="createTime"        column="create_time"           />
        <result property="updateBy"           column="update_by"             />
        <result property="updateTime"         column="update_time"           />
        <result property="delFlag"            column="del_flag"              />
    </resultMap>

</mapper>